net.sourceforge.pmd.lang.java.rule

## Class JavaRuleViolation

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.ParametricRuleViolation<JavaNode>
  - - net.sourceforge.pmd.lang.java.rule.JavaRuleViolation

All Implemented Interfaces:
  RuleViolation

Direct Known Subclasses:
  DaaRuleViolation

    public class JavaRuleViolation
    extends ParametricRuleViolation<JavaNode>

This is a Java RuleViolation. It knows how to try to extract the following extra information from the violation node:

- Package name
- Class name
- Method name
- Variable name
- Suppression indicator

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.rule.ParametricRuleViolation

`beginColumn, beginLine, className, description, endColumn, endLine, filename, methodName, packageName, rule, suppressed, variableName`

### Constructor Summary

Constructors
Constructor and Description
`JavaRuleViolation(Rule rule, RuleContext ctx, JavaNode node, String message)`
`JavaRuleViolation(Rule rule, RuleContext ctx, JavaNode node, String message, int beginLine, int endLine)`

### Method Summary

### Methods inherited from class net.sourceforge.pmd.lang.rule.ParametricRuleViolation

`expandVariables, getBeginColumn, getBeginLine, getClassName, getDescription, getEndColumn, getEndLine, getFilename, getMethodName, getPackageName, getRule, getVariableName, getVariableValue, isSuppressed, isVariable, setLines, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JavaRuleViolation

    public JavaRuleViolation(Rule rule,
                     RuleContext ctx,
                     JavaNode node,
                     String message,
                     int beginLine,
                     int endLine)

#### JavaRuleViolation

    public JavaRuleViolation(Rule rule,
                     RuleContext ctx,
                     JavaNode node,
                     String message)